nr.h File Reference

Classes for Nyberg-Rueppel signature scheme. More...

Go to the source code of this file.

## Detailed Description

Classes for Nyberg-Rueppel signature scheme.

Declarations for Bernstein's TweetNaCL.

TweetNaCL is used to cross-validate the library's implementations. The implementation itself is not optimized and kind of amusing. However it serves a valuable purpose for cross-validation.

Don't use this in production.

Definition in file nr.h.